Subject: bug#16998: with-slots should expand to cl-symbol-macrolet

From: Stefan Monnier <[email-masked]>
Date: Wed, 12 Mar 2014 14:46:27 -0400

> Yes, I'm sorry about causing this confusion.

No need to be sorry.  It's not an urgent task anyway.

> I tried to remove it, but it turned out to be more difficult than it
> looked, mostly because of the changes we made w.r.t. the EDE security
> fix, which introduced type-checking for slots. Older EIEIO versions in
> Emacs <23.4 don't have that, which make them pretty much incompatible
> with current CEDET, which is why we still have it upstream.

Aha, so the rumor was wrong ;-)

> However, I think that there's no problem to "officially" state that
> EIEIO development now happens in Emacs, and that the version in CEDET
> will not get updated anymore, but will remain there as a fallback
> library for older Emacsen (similar to what Gnus does).

That would be fine by me.  I just want to avoid having two divergent
versions, so if the version bundled with CEDET is frozen it's fine since
it means it won't diverge.

        Stefan